serviceDeploymentArtifacts:
  CONTROLLER_BLUEPRINT_ARCHIVE:
    acceptedTypes:
      - zip
  YANG_XML:
    acceptedTypes:
      - xml
  VNF_CATALOG:
    acceptedTypes:
      - xml
  MODEL_INVENTORY_PROFILE:
    acceptedTypes:
      - xml
  MODEL_QUERY_SPEC:
    acceptedTypes:
      - xml
  #AAI Artifacts
  AAI_SERVICE_MODEL:
    acceptedTypes:
      - xml
  AAI_VF_MODULE_MODEL:
    acceptedTypes:
      - xml
  AAI_VF_INSTANCE_MODEL:
    acceptedTypes:
      - xml
  UCPE_LAYER_2_CONFIGURATION:
    acceptedTypes:
      - xml
  OTHER:
    acceptedTypes:

  #PLAN
  PLAN:
    acceptedTypes:
      - xml
  WORKFLOW:
    acceptedTypes:


resourceDeploymentArtifacts:
  HEAT:
    acceptedTypes:
      - yaml
      - yml
    validForResourceTypes: *allResourceTypes
  HEAT_VOL:
    acceptedTypes:
      - yaml
      - yml
    validForResourceTypes: *allResourceTypes
  HEAT_NET:
    acceptedTypes:
      - yaml
      - yml
    validForResourceTypes: *allResourceTypes
  HEAT_NESTED:
    acceptedTypes:
      - yaml
      - yml
    validForResourceTypes: *allResourceTypes
  HEAT_ARTIFACT:
    acceptedTypes:
    validForResourceTypes: *allResourceTypes
  CLOUD_TECHNOLOGY_SPECIFIC_ARTIFACT:
    acceptedTypes:
      - zip
      - tgz
      - csar
    validForResourceTypes: *allResourceTypes
  YANG_XML:
    acceptedTypes:
      - xml
    validForResourceTypes: *allResourceTypes
  VNF_CATALOG:
    acceptedTypes:
      - xml
    validForResourceTypes: *allResourceTypes
  VF_LICENSE:
    acceptedTypes:
      - xml
    validForResourceTypes: *allResourceTypes
  VENDOR_LICENSE:
    acceptedTypes:
      - xml
    validForResourceTypes: *allResourceTypes
  MODEL_INVENTORY_PROFILE:
    acceptedTypes:
      - xml
    validForResourceTypes: *allResourceTypes
  MODEL_QUERY_SPEC:
    acceptedTypes:
      - xml
    validForResourceTypes: *allResourceTypes
  LIFECYCLE_OPERATIONS:
    acceptedTypes:
      - yaml
      - yml
    validForResourceTypes:
      - VF
      - VFC
  VES_EVENTS:
    acceptedTypes:
      - yaml
      - yml
    validForResourceTypes:
      - VFC
      - CP
      - VL
      - VF
      - CR
      - VFCMT
      - Abstract
      - CVFC
      - PNF
  PERFORMANCE_COUNTER:
    acceptedTypes:
      - csv
    validForResourceTypes: *allResourceTypes
  APPC_CONFIG:
    acceptedTypes:
    validForResourceTypes:
      - VF
  DCAE_TOSCA:
    acceptedTypes:
      - yml
      - yaml
    validForResourceTypes:
      - VF
      - VFCMT
  DCAE_JSON:
    acceptedTypes:
      - json
    validForResourceTypes:
      - VF
      - VFCMT
  DCAE_POLICY:
    acceptedTypes:
      - emf
    validForResourceTypes:
      - VF
      - VFCMT
  DCAE_DOC:
    acceptedTypes:
    validForResourceTypes:
      - VF
      - VFCMT
  DCAE_EVENT:
    acceptedTypes:
    validForResourceTypes:
      - VF
      - VFCMT
  AAI_VF_MODEL:
    acceptedTypes:
      - xml
    validForResourceTypes:
      - VF
  AAI_VF_MODULE_MODEL:
    acceptedTypes:
      - xml
    validForResourceTypes:
      - VF
  OTHER:
    acceptedTypes:
    validForResourceTypes:
      - VFC
      - CVFC
      - CP
      - VL
      - VF
      - VFCMT
      - Abstract
      - PNF
  SNMP_POLL:
    acceptedTypes:
    validForResourceTypes: *allResourceTypes
  SNMP_TRAP:
    acceptedTypes:
    validForResourceTypes: *allResourceTypes
  PM_DICTIONARY:
    acceptedTypes:
      - yaml
      - yml
    validForResourceTypes:
      - VF
      - PNF
  YANG_MODULE:
    acceptedTypes:
      - yang
    validForResourceTypes:
      - VF
      - PNF
  ANSIBLE_PLAYBOOK:
    acceptedTypes:
      - yaml
      - yml
    validForResourceTypes:
      - VF
      - PNF
  ONBOARDED_PACKAGE:
    acceptedTypes:
      - csar
      - zip
    validForResourceTypes:
      - VF
      - PNF
  CONTROLLER_BLUEPRINT_ARCHIVE:
    acceptedTypes:
      - zip
    validForResourceTypes:
      - VF
      - PNF

  #PLAN
  PLAN:
    acceptedTypes:
      - xml
    validForResourceTypes:
      - VF
      - VFC
  WORKFLOW:
    acceptedTypes:
    validForResourceTypes:
      - VFC
      - CP
      - VL
      - VF
      - CR
      - VFCMT
      - Abstract
      - CVFC
      - PNF

resourceInstanceDeploymentArtifacts:
  HEAT_ENV:
    acceptedTypes:
      - env
  VF_MODULES_METADATA:
    acceptedTypes:
      - json
  VES_EVENTS:
    acceptedTypes:
      - yaml
      - yml
  PERFORMANCE_COUNTER:
    acceptedTypes:
      - csv
  DCAE_INVENTORY_TOSCA:
    acceptedTypes:
      - yml
      - yaml
  DCAE_INVENTORY_JSON:
    acceptedTypes:
      - json
  DCAE_INVENTORY_POLICY:
    acceptedTypes:
      - emf
  DCAE_INVENTORY_DOC:
    acceptedTypes:
  DCAE_INVENTORY_BLUEPRINT:
    acceptedTypes:
  DCAE_INVENTORY_EVENT:
    acceptedTypes:
  SNMP_POLL:
    acceptedTypes:
    validForResourceTypes: *allResourceTypes
  SNMP_TRAP:
    acceptedTypes:
    validForResourceTypes: *allResourceTypes

  #PLAN
  PLAN:
    acceptedTypes:
      - xml

resourceInformationalArtifacts:
  CHEF:
    acceptedTypes:
    validForResourceTypes: *allResourceTypes
  PUPPET:
    acceptedTypes:
    validForResourceTypes: *allResourceTypes
  SHELL:
    acceptedTypes:
    validForResourceTypes: *allResourceTypes
  YANG:
    acceptedTypes:
    validForResourceTypes: *allResourceTypes
  YANG_XML:
    acceptedTypes:
    validForResourceTypes: *allResourceTypes
  HEAT:
    acceptedTypes:
    validForResourceTypes: *allResourceTypes
  BPEL:
    acceptedTypes:
    validForResourceTypes: *allResourceTypes
  DG_XML:
    acceptedTypes:
    validForResourceTypes: *allResourceTypes
  MURANO_PKG:
    acceptedTypes:
    validForResourceTypes: *allResourceTypes
  OTHER:
    acceptedTypes:
    validForResourceTypes:
      - VFC
      - CVFC
      - CP
      - VL
      - VF
      - CR
      - VFCMT
      - Abstract
      - PNF
  PNF_SW_INFORMATION:
    acceptedTypes:
      - yaml
      - yml
    validForResourceTypes:
      - PNF
  SNMP_POLL:
    acceptedTypes:
    validForResourceTypes: *allResourceTypes
  SNMP_TRAP:
    acceptedTypes:
    validForResourceTypes: *allResourceTypes
  GUIDE:
    acceptedTypes:
    validForResourceTypes:
      - VF
      - VFC
      - CVFC
      - PNF
